import React, { useState, useEffect } from 'react';
import { useSSE, SSEProvider } from 'react-hooks-sse';
import './App.css';
import EventList from '../eventList/EventList.js';


import './App.css';


const Component = () => {
  const event = useSSE('log-entry')
  const [events, setEvents] = useState([])

  useEffect(() =>{
    console.info(event);
    if (event) {
      setEvents([event, ...events]);
    }
  }, [event])
  return <EventList data={events} />
}

function App() {
  return (

    <SSEProvider endpoint="/events" >
        <Component />


    </SSEProvider>

  )
}

export default App;
